## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:          rest1
Version:       0.9.1
Release:       %autorelease
Summary:       A library for access to RESTful web services

License:       LGPLv2
URL:           http://www.gnome.org
Source0:       http://download.gnome.org/sources/rest/0.9/rest-%{version}.tar.xz

BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libsoup-3.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: gi-docgen
BuildRequires: meson

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent 
remote objects, which methods can then be called on. The majority of services 
don't actually adhere to this strict definition. Instead, their RESTful end 
point usually has an API that is just simpler to use compared to other types 
of APIs they may support (XML-RPC, for instance). It is this kind of API that 
this library is attempting to support.

%package devel
Summary: Development package for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%autosetup -p0 -n rest-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS NEWS
%{_libdir}/librest-1.0.so.0
%{_libdir}/librest-1.0.so.0.*
%{_libdir}/librest-extras-1.0.so.0
%{_libdir}/librest-extras-1.0.so.0.*
%{_libdir}/girepository-1.0/Rest-1.0.typelib
%{_libdir}/girepository-1.0/RestExtras-1.0.typelib

%files devel
%{_bindir}/librest-demo
%{_datadir}/applications/org.gnome.RestDemo.desktop
%{_includedir}/rest-1.0
%{_libdir}/pkgconfig/rest*
%{_libdir}/librest-1.0.so
%{_libdir}/librest-extras-1.0.so
%{_datadir}/gir-1.0/Rest-1.0.gir
%{_datadir}/gir-1.0/RestExtras-1.0.gir
%{_datadir}/doc/librest-1.0

%changelog
* Thu Jul 07 2022 Marc-André Lureau <marcandre.lureau@redhat.com> 0.9.1-2
- Uncommitted changes

* Thu Jul 07 2022 Marc-André Lureau <marcandre.lureau@redhat.com> 0.9.1-1
- Initial import
